xine-lib: xine-lib-1.2.12/src/video_dec/libmpeg2/libmpeg2_accel.h File Reference

xine-lib 1.2.12

Data Structures | Functions
libmpeg2_accel.h File Reference
`#include "mpeg2_internal.h"`

Go to the source code of this file.

## Data Structures
struct | mpeg2dec_accel_t

## Functions
int | libmpeg2_accel_discontinuity (mpeg2dec_accel_t *accel, uint32_t frame_format, picture_t *picture)
int | libmpeg2_accel_new_sequence (mpeg2dec_accel_t *accel, uint32_t frame_format, picture_t *picture)
int | libmpeg2_accel_new_frame (mpeg2dec_accel_t *accel, uint32_t frame_format, picture_t *picture, double ratio, uint32_t flags)
void | libmpeg2_accel_frame_completion (mpeg2dec_accel_t *accel, uint32_t frame_format, picture_t *picture, int code)
int | libmpeg2_accel_slice (mpeg2dec_accel_t *accel, picture_t *picture, int code, char *buffer, uint32_t chunk_size, uint8_t *chunk_buffer)
void | libmpeg2_accel_scan (mpeg2dec_accel_t *accel, uint8_t *scan_norm, uint8_t *scan_alt)

## Function Documentation

## ◆ libmpeg2_accel_discontinuity()

int libmpeg2_accel_discontinuity | ( | mpeg2dec_accel_t * | accel,
|  | uint32_t | frame_format,
|  | picture_t * | picture
| ) |  |

References xine_xxmc_s::acceleration, xine_xxmc_s::proc_xxmc_flush, XINE_IMGFMT_XXMC, XINE_XVMC_ACCEL_IDCT, XINE_XVMC_ACCEL_MOCOMP, XINE_XVMC_ACCEL_VLD, and mpeg2dec_accel_t::xvmc_last_slice_code.

Referenced by mpeg2_discontinuity().

## ◆ libmpeg2_accel_frame_completion()

void libmpeg2_accel_frame_completion | ( | mpeg2dec_accel_t * | accel,
|  | uint32_t | frame_format,
|  | picture_t * | picture,
|  | int | code
| ) |  |

References xine_xxmc_s::acceleration, code, xine_xxmc_s::decoded, mpeg2_xxmc_vld_frame_complete(), xine_xxmc_s::proc_xxmc_flush, XINE_IMGFMT_XXMC, XINE_XVMC_ACCEL_IDCT, XINE_XVMC_ACCEL_MOCOMP, and XINE_XVMC_ACCEL_VLD.

Referenced by mpeg2_decode_data(), and parse_chunk().

## ◆ libmpeg2_accel_new_frame()

int libmpeg2_accel_new_frame | ( | mpeg2dec_accel_t * | accel,
|  | uint32_t | frame_format,
|  | picture_t * | picture,
|  | double | ratio,
|  | uint32_t | flags
| ) |  |

References xine_xxmc_s::acceleration, xine_xxmc_s::fallback_format, xine_xxmc_s::mpeg, xine_xxmc_s::proc_xxmc_update_frame, picture_t::top_field_first, XINE_IMGFMT_XXMC, XINE_IMGFMT_YV12, XINE_XVMC_ACCEL_IDCT, XINE_XVMC_ACCEL_MOCOMP, XINE_XVMC_ACCEL_VLD, XINE_XVMC_MPEG_1, and XINE_XVMC_MPEG_2.

Referenced by parse_chunk().

## ◆ libmpeg2_accel_new_sequence()

int libmpeg2_accel_new_sequence | ( | mpeg2dec_accel_t * | accel,
|  | uint32_t | frame_format,
|  | picture_t * | picture
| ) |  |

References xine_xvmc_s::macroblocks, XINE_IMGFMT_XVMC, and XINE_IMGFMT_XXMC.

Referenced by parse_chunk().

## ◆ libmpeg2_accel_scan()

void libmpeg2_accel_scan | ( | mpeg2dec_accel_t * | accel,
|  | uint8_t * | scan_norm,
|  | uint8_t * | scan_alt
| ) |  |

References xvmc_setup_scan_ptable().

Referenced by mpeg2_init().

## ◆ libmpeg2_accel_slice()

int libmpeg2_accel_slice | ( | mpeg2dec_accel_t * | accel,
|  | picture_t * | picture,
|  | int | code,
|  | char * | buffer,
|  | uint32_t | chunk_size,
|  | uint8_t * | chunk_buffer
| ) |  |

References xine_xxmc_s::acceleration, code, mpeg2_slice(), mpeg2_xvmc_slice(), mpeg2_xxmc_slice(), xine_xxmc_s::proc_xxmc_lock_valid, xine_xxmc_s::proc_xxmc_unlock, XINE_IMGFMT_XVMC, XINE_IMGFMT_XXMC, XINE_PICT_B_TYPE, XINE_PICT_P_TYPE, XINE_XVMC_ACCEL_IDCT, XINE_XVMC_ACCEL_MOCOMP, and XINE_XVMC_ACCEL_VLD.

Referenced by parse_chunk().